API referenceWebhooks

List webhook events

GET/webhooks/{id}/events

Resend's webhook event log: one entry per delivery, newest first, with success, pending, attempting or failed.

Authorization

apiKey
AuthorizationBearer <token>

A project API key: Authorization: Bearer s0_…

In: header

Path Parameters

id*string
Length1 <= length <= 64

Query Parameters

limit?integer
Range1 <= value <= 100
after?string
Length1 <= length <= 64
before?string
Length1 <= length <= 64

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/webhooks/string/events"
{  "object": "list",  "has_more": true,  "data": [    {      "id": "string",      "type": "string",      "created_at": "2019-08-24T14:15:22Z",      "status": "success"    }  ]}